plot {CMA} | R Documentation

## Barplot of variable importance

### Description

This method can be seen as a visual pendant to `toplist`. The plot visualizes variable importance by a barplot. The height of the barplots correspond to variable importance. What variable importance exactly means depends on the method chosen when calling `GeneSelection`, s. `genesel`.

### Arguments

`x` | An object of class `genesel`
`top` | Number of top genes whose variable importance should be displayed. Defaults to 10.
`iter` | Iteration number (`learningset`) for which variable importance should be displayed.
`...` | Further graphical options passed to `barplot`.

### Value

No return.

### Note

Note the following

- If `scheme = "multiclass"`, only one plot will be made. Otherwise, one plot will be made for each binary scenario (depending on whether `"scheme"` is `"one-vs-all"` or `"pairwise"`).
- Variable importance do not make sense for variable selection (ranking) methods that are essentially discrete, such as the Wilcoxon-Rank sum statistic or the Kruskal-Wallis statistic.
- For the methods `"lasso", "elasticnet", "boosting"` the number of nonzero coefficients can be very small, resulting in bars of height zero if `top` has been chosen too large.

### Author(s)

Martin Slawski martin.slawski@campus.lmu.de

Anne-Laure Boulesteix http://www.slcmsr.net/boulesteix

### See Also

`genesel`, `GeneSelection`, `toplist`

[Package CMA version 1.2.0 Index]